package certs

import (
	"testing"
	"time"

	"gotest.tools/assert"
)

func TestGenerateTLSConfig(t *testing.T) {
	gc := &GenerateCertificate{
		Organization: "yoorie.de",
		Host:         "127.0.0.1",
		ValidFor:     10 * 365 * 24 * time.Hour,
		IsCA:         false,
		EcdsaCurve:   "P256",
		Ed25519Key:   true,
	}
	result, err := gc.GenerateTLSConfig()

	assert.Assert(t, err == nil)
	assert.Assert(t, result != nil)
	assert.Equal(t, 1, len(result.Certificates))
	cert := result.Certificates[0]
	assert.Assert(t, len(cert.Certificate) > 0)
	assert.Assert(t, len(cert.Certificate[0]) > 0)
}
